Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.fasterxml.aalto.out
Enum StreamWriterBase.State

    java.lang.Object
      java.lang.Enum<StreamWriterBase.State>
          com.fasterxml.aalto.out.StreamWriterBase.State

All Implemented Interfaces:
  Serializable, Comparable<StreamWriterBase.State>

Enclosing class:
  StreamWriterBase

    protected static enum StreamWriterBase.State

extends Enum<StreamWriterBase.State>

Enum Constant Summary
`EPILOG`
`PROLOG`
`TREE`

Method Summary
`static StreamWriterBase.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StreamWriterBase.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PROLOG

    public static final StreamWriterBase.State PROLOG

### TREE

    public static final StreamWriterBase.State TREE

### EPILOG

    public static final StreamWriterBase.State EPILOG

Method Detail

### values

    public static StreamWriterBase.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StreamWriterBase.State c : StreamWriterBase.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StreamWriterBase.State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 Fasterxml.com. All Rights Reserved.